
show workspace.
set workspace 4096.
get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\TEST.sav".

recode s1q2  ('P' = 1) ('A' = 2)                                                                                                                                                      (convert)  into ss1q2 .  
recode s1q3  ('H' = 1) ('S' = 2) ('C' = 3) ('P' = 4) ('O' = 5) ('N' = 6)                                                                                                  (convert)  into ss1q3 .  
recode s1q4  ('M' = 1) ('F' = 2)                                                                                                                                                      (convert)  into ss1q4.
recode s1q6  ('Y' = 1) ('N' = 2)                                                                                                                                                      (convert)   into ss1q6.
recode s1q7  ('P1' = 1) ('P2' = 2) ('P3' = 3) ('P4' = 4) ('P5' = 5) ('P6' = 6) ('S1' =7) ('S2' = 8) ('S3' = 9) ('S4' = 10) ('S5' = 11) ('S6' = 12) 
('S7' = 13) ('T' = 14 ) ('T6' = 15)                                                                                                                                                        (convert)   into ss1q7.
recode s1q8  ('G' = 1) ('I' = 2) ('P' = 3) ('N' = 4)                                                                                                                               (convert)   into ss1q8.
recode s1q9  ('Y' = 1) ('N' = 2)                                                                                                                                                       (convert)    into ss1q9.
recode s1q10  ('Y' = 1) ('N' = 2)                                                                                                                                                    (convert)   into ss1q10.
recode s1q11  ('W' = 1) ('F' = 2) ('M' = 3) ('C' = 4) ('Y' =5) ('E' =6) ('U' = 7) ('N' = 8) ('I' = 9) ('O' = 10)                                                     (convert)  into ss1q11.
recode s1q12  ('Y' = 1) ('N' = 2)                                                                                                                                                     (convert)  into ss1q12.
recode s1q13  ('1' = 1) ('2' = 2) ('3' = 3) ('4' = 4) ('5' =5) ('6' =6) ('7' = 7) ('8' = 8) ('9' = 9) ('10' = 10) ('11' = 11) ('12' = 12)                          (convert)  into ss1q13.
recode s1q14  ('Y' = 1) ('N' = 2)                                                                                                                                                     (convert)  into ss1q14.
Recode s1q15  ('Y' = 1) ('N' = 2)                                                                                                                                                    (convert)  into ss1q15.
Recode s1q17  ('T'= 1) ('H'= 2 ) ('M'= 3) ('D'= 4 ) ('O'= 5)                                                                                                                   (convert)  into ss1q17.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_1.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_1.sav"
/ drop  = s1Q2 s1Q3  s1Q4 s1Q6 s1q7 s1q8 s1q9 s1Q10 s1Q11 s1Q12 s1q13 s1q14 s1q15 s1q17.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_1.sav".


Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_1.sav"
/ rename ss1Q2=s1Q2  ss1Q3=s1Q3 ss1Q4=s1Q4  ss1Q6=s1Q6 ss1Q7=s1Q7 ss1Q8=s1Q8  ss1Q9 = s1Q9 ss1Q10 = s1Q10 
ss1Q11 = s1Q11 ss1Q12 = s1Q12    ss1Q13 = s1Q13   ss1Q14 = s1Q14 ss1Q15 = s1Q15 ss1Q17 = s1Q17.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_1.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_1.sav".
Value labels
     s1q2  1 'Present' 2 'Absent'
/  s1Q3   1 'Head' 2 'Spouse' 3 'Child' 4 'Parent' 5 'Other related' 6 'Not related'  
/ s1Q4    1 'Male' 2 'Female'
/  s1Q6   1 'Yes' 2 'No'                                                                                                      
/  s1Q7   1 'Primary 1' 2 'Primary 2' 3 'Primary 3' 4 'Primary 4'  5 'Primary 5' 6 ' Primary 6'   7 'Secondary 1' 8 'Seconday 2' 9 'Secondary 3' 10 'Secondary 4' 11 'Seconday 5'
                  12 'Secondady 6' 13 'Secondary 7' 14 'Tertiary 1' 15 'Tertiary 2'
/  s1Q8 1 'Government' 2 'Islamic' 3 'Private' 4 'None'
/  s1q9  1 'Yes' 2 'No' 
/  s1Q10 1 'Yes' 2 'No' 
/ s1Q11  1 'Work' 2 'Too far' 3 'Married' 4 'Completed' 5 'Too young'   6 'Too expensive' 7 'Not useful' 8 'Not appropriate' 9 'Prefe Islamic' 10 'Other'
/ s1Q12  1 'Yes' 2 'No'
/ s1q13 1 'Self Employ:Agric producer' 2 'Self Employ:Pasturalist' 3 'Self Employ:Food Sales' 4 'Self Employ:Non-food sales' 5 'Other' 6 'Family helper'
            7 'Wage earner:Public sector' 8 'Wage earner: Priv-agic' 9 'Wage earner:Priv-non-agric' 10 'Student/trainnee/apprentice' 11 'Not in paid workforce' 
            12 'Other'
/ s1Q14  1 'Yes' 2 'No'
/ s1Q15  1 'Yes' 2 'No'
/ s1Q17  1 'Traditional healer/marabout' 2 'Health Assistant/dispenser' 3 'Midwife/nurse' 4 'Doctor' 5 'Other' 
.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_1.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_1.sav".
freq var = ID  / format = Dfreq.


