
show workspace.
set workspace 4096.
get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2b.sav".

recode faclity    ('F' = 1) ('P' = 2) ('S' = 3) ('H' = 4) ('B' = 5)                                                                    (convert)  into facility.
recode s2bq1    ('1' = 1) ('2' = 2) ('3' = 3) ('4' = 4) ('5' = 5) ('6' = 6)                                                           (convert)  into ss2bq1 .  
recode s2bq2   ('F' = 1) ('B' = 2) ('M' = 3) ('V' = 4) ('A' = 5) ('O' = 6)                                                          (convert) into ss2bq2.
recode s2bq3    ('Y' = 1) ('N' = 2)                                                                                                       (convert)  into ss2bq3.
recode s2bQ4  ('E' = 1) ('F' = 2) ('P' = 3) ('O' = 4) ('N' = 5)                                                                     (convert)  into ss2bq4.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2b.sav". 

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2b.sav"
/ drop  = s2bQ1 s2bq2 s2bQ3 s2bQ4 faclity.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2b.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2b.sav"
/ rename ss2bQ1=s2bQ1 ss2bQ2 =s2bQ2 ss2bQ3 =s2bQ3 ss2bQ4=s2bQ4  facility=faclity.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2b.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2b.sav".
Value labels 
faclity 1 'Food market' 2 'Primary school' 3 'Secondary school' 4 'Health facility'  5 'Bus/taxi service'
/ s2bQ1  1 'Less than 1/2 hour' 2 'Between 1/2 and 1 hour' 3 'From 1 to 2 hours' 4 'From 2 hours to half day' 5 'From 1/2 to 1 day'   6 'More than 1 day'
/ s2bQ2  1 'Foot' 2 'Bicycle' 3 'Motorcycle' 4 'Vehicle' 5 'Animal transport' 6 'Other'
/  s2bQ3 1 'Yes' 2 'No'
/  s2bQ4 1 'Too expensive' 2 'Too far' 3 'Poor quality service' 4 'Other' 5 'Not relevant'.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2b.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2b.sav".
compute FID=idno*10 + faclity.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2b.sav".


Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2b.sav".
freq var = FID  / format = Dfreq.