
show workspace.
set workspace 4096.
get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_3.sav".

recode s3q5    ('A' = 1) ('P' = 2) ('E' = 3) ('F' = 4) ('V' = 5) ('O' = 6)                                                      (convert)  into ss3q5.
recode s3q7    ('D' = 1) ('W' = 2) ('M' = 3) ('Y' = 4)                                                                           (convert)  into ss3q7 .  
recode s3q8    ('Y' = 1) ('N' = 2)                                                                                                       (convert)  into ss3q8.
recode s3q9    ('Y' = 1) ('N' = 2)                                                                                                       (convert)  into ss3q9.
recode s3Q11  ('I' = 1) ('S' = 2) ('D' = 3)                                                                                          (convert)  into ss3q11.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_3.sav". 

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_3.sav"
/ drop  = s3Q5 s3q7 s3Q8 s3Q9 S3Q11.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_3.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_3.sav"
/ rename ss3Q5=s3Q5 ss3Q7 =s3Q7 ss3Q8 =s3Q8 ss3Q9=s3Q9  Ss3q11=s3q11.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_3.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_3.sav".
Value labels 
s3q5    1 'Own account' 2 'Public sector' 3 'Employer' 4 'Family helper'  5 'Private sector' 6 'Other'
/ s3Q7  1 'Day' 2 'Week' 3 'Month' 4 'Year'
/ s3Q8 1 'Yes' 2 'No'
/ s3Q9 1 'Yes' 2 'No'
/ s3Q11 1 'Increased'  2 'Same' 3 'Decreased' .
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_3.sav".

get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_3.sav".
freq var id /format dfreq.