
show workspace.
set workspace 4096.
get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\test.sav".

recode s0q1   ('Y' = 1) ('N' = 2)                                                                                                        (convert)  into sS0q1.
recode S0q3    ('G' = 1) ('O' = 2)                                                                                           (convert)  into sS0q3 .  
recode S0q4   ('M' = 1) ('W' = 2) ('F' = 3)  ('J' = 4) ('S' = 5)  ('N' = 6) ('O' = 7)                                  (convert) into sS0q4.
recode S0q5   ('Y' = 1) ('N' = 2)                                                                                             (convert)  into sS0q5.
recode S0q6    ('1' = 1) ('2' = 2) ('3' = 3) ('4' = 4)                                                                            (convert)  into sS0q6.
recode S0q9    ('M' = 1) ('W' = 2) ('F' = 3)  ('J' = 4) ('S' = 5)  ('N' = 6) ('O' = 7)                                   (convert)  into sS0q9.
recode S0q10    ('Y' = 1) ('N' = 2)                                                                                                (convert)  into sS0q10.
recode S0q12a    ('Y' = 1) ('N' = 2)                                                                                                        (convert)  into sS0q12a.
recode S0q12b    ('Y' = 1) ('N' = 2)                                                                                                        (convert)  into sS0q12b.

Save outfile= "c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_0.sav". 

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_0.sav"
/ drop  = s0q1 s0q3 s0q4 s0q5 s0q6 s0q9 s0q10 s0q12a s0q12b .

save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_0.sav".


Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_0.sav"
/ rename ss0q1=S0q1 ss0q3=s0q3 ss0q4=s0q4 ss0q5=s0q5 ss0q6=s0q6 ss0q9=s0q9 ss0q10=s0q10 ss0q12a=s0q12a ss0q12b = s0q12b.
save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_0.sav".


Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_0.sav".
Value labels 
  s0q1  1 'Yes' 2 'No'
/ S0q3  1 'Gambian' 2 'Non-Gambian'
/ S0q4  1 'Mandinka' 2 'Wollof' 3 'Fula' 4 'Jola' 5 'Serahule' 6 'Non-Gambian'  7 'Other'
/  S0q5 1 'Yes' 2 'No'
/  S0q6 1 'Less than 1 week' 2 'Between 1 week and 1 month'  3 'Between 1 and 3 months' 4 'Over 3 months'
/  S0q9 11 'Mandinka' 2 'Wollof' 3 'Fula' 4 'Jola' 5 'Serahule' 6 'Non-Gambian'  7 'Other'
/ s0q10  1 'Yes' 2 'No'
/ s0q12a  1 'Yes' 2 'No'
/ s0q12b  1 'Yes' 2 'No'
  
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_0.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_0.sav".
compute IDNO=(DISTRICT*1000000)+(EANUMBER*1000)+househld.
save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_0.sav
