
show workspace.
set workspace 4096.
get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2a.sav".

recode s2aq1    ('Y' = 1) ('N' = 2)                                                                                                      (convert)  into ss2aq1 .  
recode s2aq3    ('M' = 1) ('Y' = 2)                                                                                                      (convert)  into ss2aq3.
recode s2AQ4  ('W' = 1) ('F' = 2) ('O' = 3) ('R' = 4) ('N' = 5)                                                                  (convert)  into ss2aq4.
recode s2AQ5  ('W' = 1) ('F' = 2) ('O' = 3) ('R' = 4) ('N' = 5)                                                                  (convert)  into ss2aq5.
recode s2AQ6  ('W' = 1) ('P' = 2) ('C' = 3) ('O' = 4)                                                                             (convert)  into ss2aq6.
recode s2AQ7   ('R' = 1) ('P' = 2) ('T' = 3) ('N' = 4) ('W' = 5) ('U' = 6) ('O' = 7)                                         (convert)  into ss2aq7.
recode s2AQ8   ('R' = 1) ('P' = 2) ('T' = 3) ('N' = 4) ('W' = 5) ('U' = 6) ('O' = 7)                                         (convert)  into ss2aq8.
recode s2AQ9   ('C' = 1) ('K' = 2) ('E' = 3) ('O' = 4) ('N' = 5)                                                                  (convert)  into ss2aq9.
recode s2AQ10 ('C' = 1) ('K' = 2) ('E' = 3) ('O' = 4) ('N' = 5)                                                                  (convert)  into ss2aq10.
recode s2AQ11 ('F' = 1) ('C' = 2) ('G' = 3) ('R' = 4)  ('N' = 5) ('P' = 6) ('K' = 7) ('E' = 8) ('O' = 9)                  (convert)  into ss2aq11.
recode s2AQ12 ('F' = 1) ('C' = 2) ('G' = 3) ('R' = 4)  ('N' = 5) ('P' = 6) ('K' = 7) ('E' = 8) ('O' = 9)                  (convert)  into ss2aq12.
recode s2AQ13 ('T' = 1) ('M' = 2) ('O' = 3) ('U' = 4) ('P' = 5) ('N' = 6)                                                        (convert)  into ss2aq13.

Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2A.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2A.sav"
/ drop  = S2AQ1 S2AQ3 S2AQ4 S2AQ5 S2AQ6 S2AQ7 S2AQ8 S2AQ9 S2AQ10 S2AQ11 S2AQ12 S2AQ13.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2A.sav".


Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2A.sav"
/ rename sS2AQ1=S2AQ1 sS2AQ3 =S2AQ3 sS2AQ4=S2AQ4 sS2AQ5=S2AQ5 sS2AQ6=S2AQ6 sS2AQ7=S2AQ7 sS2AQ8=S2AQ8 sS2AQ9=S2AQ9 sS2AQ10=S2AQ10  sS2AQ11 = S2AQ11 sS2AQ12 = S2AQ12
 sS2AQ13 = S2AQ13.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2A.sav".


Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2A.sav".
Value labels 
  S2AQ1 1 'Yes' 2 'No'
/ S2AQ3 1 'Month' 2 'Year'
/  S2AQ4 1 'Owned' 2 'Free of charge' 3 'Other' 4 'Rented' 5 'Not applicable'
/  S2AQ5 1 'Owned' 2 'Free of charge' 3 'Other' 4 'Rented' 5 'Not applicable'
/  S2AQ6 1 'Wholly traditional materials'  2 'Partly traditional materials' 3 'Concrete block' 4  'Other' 
/  S2AQ7 1 'River lake' 2 'Pump well' 3 'Own tap' 4 'Not applicable' 5 'Traditional well' 6 'Public tap'   7 'Other'
/  S2AQ8 1 'River lake' 2 'Pump well' 3 'Own tap' 4 'Not applicable' 5 'Traditional well' 6 'Public tap'   7 'Other'
/  S2AQ9 1 'Candles' 2 'Kerosene' 3 'Electricity' 4 'Other' 5 'Not applicable' 
/ S2AQ10 1 'Candles' 2 'Kerosene' 3 'Electricity' 4 'Other' 5 'Not applicable' 
/ S2AQ11 1 'Collected firewood' 2 'Charcoal' 3 'Gas' 4 'Crop residures' 5 'Not applicable'   6 'Purchased wood' 7 'Kerosene' 8 'Electricity' 9 'Other'
/ S2AQ12 1 'Collected firewood' 2 'Charcoal' 3 'Gas' 4 'Crop residures' 5 'Not applicable'   6 'Purchased wood' 7 'Kerosene' 8 'Electricity' 9 'Other'
/ S2AQ13 1 'Three stones' 2 'Metal stove' 3 'Other' 4 'Mud stove' 5 'Pottery stove'   6 'Not applicable'.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2A.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_2a.sav".
freq var = IDno  / format = Dfreq.
